--
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

FahrShowHelp = {};

function FahrShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function FahrShowHelp:load(xmlFile)
	self.FahrShowHelp = false;
end;

function FahrShowHelp:delete()
end;

function FahrShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function FahrShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function FahrShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.FahrShowHelp = not self.FahrShowHelp;
		end;
	end;
end;



function FahrShowHelp:updateTick(dt)
end;

function FahrShowHelp:draw()
	if not self.FahrShowHelp then
		renderText(0.76, 0.25, 0.02, "Numpad 0: LIEBHERR 576 Info Ein");
	 else
		renderText(0.76, 0.25, 0.02, "Numpad 0: LIEBHERR 576 Info Aus");
		renderText(0.76, 0.68, 0.025, "- LIEBHERR -");
        renderText(0.76, 0.65, 0.025, "- LIEBHERR 576 -");			
		renderText(0.76, 0.61, 0.02, "Numpad 1: Blinker links");
		renderText(0.76, 0.59, 0.02, "Numpad 2: Warnblinker");
		renderText(0.76, 0.57, 0.02, "Numpad 3: Blinker rechts");
		renderText(0.76, 0.55, 0.02, "Numpad 5: Arbeitslicht vorne");
		renderText(0.76, 0.53, 0.02, "Numpad 6: Arbeitslicht hinten");
		renderText(0.76, 0.51, 0.02, "Numpad 7: Lemkung sperren");			
		renderText(0.76, 0.49, 0.02, "Key Page_Up: ESL Limiter erhoehen");
		renderText(0.76, 0.47, 0.02, "Key Page_Down: ESL Limiter senken");
		renderText(0.76, 0.45, 0.02, "Key 0: Hupe");
        renderText(0.76, 0.41, 0.025, "- LIEBHERR 576 -");
	end;
end;

function FahrShowHelp:onLeave()
	self.ClaasShowHelp = false;
end;




